package com.example.ueberwachungssystem;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Switch;
import android.widget.TextView;

import com.example.ueberwachungssystem.Detector.DetectionReport;
import com.example.ueberwachungssystem.Detector.Detector;
import com.example.ueberwachungssystem.Detector.MicrophoneDetector;
import com.jjoe64.graphview.GraphView;


public class MainActivity extends AppCompatActivity {
    private TextView tv_log;
    MicrophoneDetector Mic;
    private Switch TglBtn_Mic;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        tv_log = (TextView) findViewById(R.id.tv_log); //Set textview for showing logged content
        Log.d("Main",this.getClass().getSimpleName() + ".onCreate");
        Mic = new MicrophoneDetector(this);
        setupMic();
        Mic.setOnDetectionListener(new Detector.OnDetectionListener() {
            @Override
            public void onDetection(@NonNull DetectionReport detectionReport) {
                Log.d("Main", "Detection erkannt!");
            }
        });

    }

    @Override
    public void onResume() {
        super.onResume();
        Log.d("Main",this.getClass().getSimpleName() + ".onResume");
    }

    @Override
    public void onPause() {
        super.onPause();
        Log.d("Main",this.getClass().getSimpleName() + ".onPause");
    }

    private void setupMic() {
        TglBtn_Mic = (Switch) findViewById(R.id.TglBtn_Mic);
        TglBtn_Mic.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (v == TglBtn_Mic) {
                    Log.d("Main","onClick toggleButtonThread " + TglBtn_Mic.isChecked());
                    if (TglBtn_Mic.isChecked()) {
                        Mic.startDetection();
                    } else {
                        Mic.stopDetection();
                    }
                }
            }
        });
    }
}